<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.mosty</groupId>
	<artifactId>mosty-common</artifactId>
	<packaging>pom</packaging>
	<version>1.0.0-SNAPSHOT</version>
	<modules>
		<module>common-base-starter</module>
		<module>common-redis-starter</module>
		<module>common-log-base-starter</module>
		<module>operation-log-aspect-starter</module>
		<module>common-config-starter</module>
		<module>common-generator-starter</module>
        <module>common-core-starter</module>
        <module>common-token-starter</module>
		<module>common-task-starter</module>
        <module>common-dynamic-datasource-starter</module>
        <module>common-magic-api-starter</module>
	</modules>
	<name>mosty-common</name>
	<description>智羽项目公共组件</description>
	<properties>
		<java.version>1.8</java.version>
		<fastjson.version>2.0.9</fastjson.version>
		<shiro.version>1.8.0</shiro.version>
		<starter-data-redis.version>2.3.0.RELEASE</starter-data-redis.version>
		<transmittable-thread-local.version>2.12.2</transmittable-thread-local.version>
		<spring-boot-dependencies.version>2.3.2.RELEASE</spring-boot-dependencies.version>
		<transmittable-version>2.11.5</transmittable-version>
	</properties>
	<dependencies>

	</dependencies>

<!--	<build>-->
		<!--<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>-->
<!--	</build>-->

	<dependencyManagement>
		<dependencies>
			<!-- Shiro核心框架 -->
			<dependency>
				<groupId>org.apache.shiro</groupId>
				<artifactId>shiro-core</artifactId>
				<version>${shiro.version}</version>
			</dependency>

			<!-- Shiro使用Spring框架 -->
			<dependency>
				<groupId>org.apache.shiro</groupId>
				<artifactId>shiro-spring</artifactId>
				<version>${shiro.version}</version>
			</dependency>

			<!-- Shiro使用EhCache缓存框架 -->
			<dependency>
				<groupId>org.apache.shiro</groupId>
				<artifactId>shiro-ehcache</artifactId>
				<version>${shiro.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-starter-data-redis</artifactId>
				<version>${starter-data-redis.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<distributionManagement>
		<repository>
			<id>mosty-nexus-releases</id>
			<name>release version</name>
			<url>http://10.64.201.126:8081/repository/maven-releases/</url>
		</repository>
		<snapshotRepository>
			<id>mosty-nexus-snapshots</id>
			<name>snapshots version</name>
			<url>http://10.64.201.126:8081/repository/maven-snapshots/</url>
		</snapshotRepository>
	</distributionManagement>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-deploy-plugin</artifactId>
				<version>2.8.2</version>
			</plugin>
		</plugins>
	</build>
</project>
